| Bsoft 2.0.5 Bernard's software package

Functions
rwmgXML.h File Reference

Reads and writes micrograph XML files. More...

`#include "mg_processing.h"`

Go to the source code of this file.

## Functions
int | read_project_xml (Bstring &filename, Bproject *project)
| Reading micrograph parameters from XML files. More...
int | read_project_xml (Bstring *file_list, Bproject *project)
Bparticle * | read_particle_xml (Bstring &filename, Bparticle **partlist, FOMType fom_tag[NFOM])
int | write_project_xml (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a XML file. More...
int | write_particle_xml (Bstring &filename, Bparticle *part, int euler_flag, int omega_flag, FOMType fom_tag[NFOM])

## Detailed Description

Reads and writes micrograph XML files.

Author
  Bernard Heymann

Date
  Created: 20050920
  Modified: 20130827

Definition in file rwmgXML.h.

## Function Documentation

## ◆ read_particle_xml()

Bparticle* read_particle_xml | ( | Bstring & | filename,
|  | Bparticle ** | partlist,
|  | FOMType | fom_tag[NFOM]
| ) |  |

## ◆ read_project_xml() [1/2]

int read_project_xml | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from XML files.

Parameters

  &filename | file name.
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 144 of file rwmgXML.cpp.

## ◆ read_project_xml() [2/2]

int read_project_xml | ( | Bstring * | file_list,
|  | Bproject * | project
| ) |  |

## ◆ write_particle_xml()

int write_particle_xml | ( | Bstring & | filename,
|  | Bparticle * | part,
|  | int | euler_flag,
|  | int | omega_flag,
|  | FOMType | fom_tag[NFOM]
| ) |  |

## ◆ write_project_xml()

int write_project_xml | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a XML file.

Parameters

  &filename | file name.
  *project | project structure.
  mg_select | flag to only write selected micrographs.
  rec_select | flag to only convert selected reconstructions.

Returns
  int error code (<0 means failure).

Definition at line 258 of file rwmgXML.cpp.